### Function

# Cogl Object ref

#### Declaration [src]

    void*
    cogl_object_ref (
      void* object
    )

#### Description [src]

Increases the reference count of `object` by 1

This function is not directly available to language bindings.

#### Parameters

`object`

  Type: `void*`

  A `CoglObject`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `void*`

The `object`, with its reference count increased.

The data is owned by the called function.
The return value can be `NULL`.